13 days ago - AndrewT - Direct link
That sounds like you have a launcher problem, not a game issue as such. Does running ck3.app get the game going for you?

The most common launcher problem on Mac is if MacOS is below 12 - is that the case here? If so can you update?  
6 days ago - AndrewT - Direct link
MojoRisin said: Thanks for your reply. I have been in touch with Paradox and it turns out that the minimum requirements for the game were changed following the 1.6 versions - meaning that I am able to run the game with the latest 1.5 version (albeit very laggy) and without the features of some of the newer expansions (Iberian Struggle does not work for example).
The minimum requirements were not changed in this game. However recent patches are more fussy in requiring those minimums be met.

  • Processor: Intel® Core™ i7-7820HQ
  • Memory: 12 GB RAM
  • Graphics: AMD® Radeon™ PRO 560 (4 GB)

But that does not relate to your launcher problem?
MojoRisin said: The launcher will not start.
Which, as I say, can be your MacOS version.  
4 days ago - AndrewT - Direct link
As I said, recent patches are more fussy in requiring those hardware minimums be met, in particular the video system one. The published requirements never changed though.